Change provided information

Overview

Use this method to update the fixedInfo object that contains the personal data provided either by the applicant via the Web and Mobile SDKs or directly by you while creating the applicant profile. This information is to be cross-checked with the data Sumsub extracts from the applicant documents.

The method is rather beneficial because you do not need to create another profile when obtaining new information about the applicant, you just make this PATCH request instead.

Mind that if you need to re-check the applicant once the information has been changed, you need to revert the applicant status to pending by initiating another review.

📘

Note

Make sure that a verification level associated with the applicant for which the data is being updated, includes the Applicant data step.

If this step is excluded, then the applicant will not be able to correct the data by themselves when initiating the SDK. In case the integration is via API, Sumsub can see if the Applicant data step is in the settings, and refer to it when verifying the applicant.

🚧

Attention

This endpoint must not be used to change information for a company applicant. To modify provided company data, use the following method instead.

Request example

curl -X PATCH \
  'https://api.sumsub.com/resources/applicants/609d68bf460647000aa2d87e/fixedInfo' \
  -H 'Content-Type: application/json' \
  -d '{
        "firstName": "Stanley",
        "dob": "1997-03-01",
        "placeOfBirth": "Denver",
        "countryOfBirth": "USA",
        "stateOfBirth": "Colorado"
      }'

The request body must contain only the fields that you want to change; null fields are ignored.

Response explained

If the request is successfully sent and processed, in the response, you will get a JSON file with the object containing the updated data. There could also be additional fields with automatic transliteration of the provided information into Latin characters.

For example:

{
  "firstName": "Stanley",
  "firstNameEn": "Stanley",
  "dob": "1997-03-01",
  "placeOfBirth": "Denver",
  "placeOfBirthEn": "Denver",
  "countryOfBirth": "USA",
  "stateOfBirth": "Colorado"
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error.

For example:

{
  "description": "Invalid id '000000000'",
  "code": 400,
  "correlationId": "3773cd5e8ad50ea28fe40553717ffe3a"
}
Path Params
string
required

Unique applicant identifier in the Sumsub system.

This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the Dashboard.

If the applicantId is unknown to you, use the Get applicant data (externalUserId) method to fetch it.

Body Params
string

Applicant first name in the original language.

string

Applicant last name in the original language.

string

Applicant middle name in the original language.

string

Alternative first/last name.

string

Applicant's parent name in the original language. There is no length limit for this field.

string

Applicant's parent name in the original language. There is no length limit for this field.

string

Legal name of the company the applicant is related to (UBO or shareholder). You can keep this information and use it for your personal navigation.

Note that the legalName field is not checked and you might need it just in case.

string
enum

Gender of the applicant (M, F, or X). This field is omitted if gender is not specified in the applicant profile.

Allowed:
string

Applicant date of birth (format YYYY-mm-dd, for example, 2001-09-25).

string

Applicant place of birth. This can be a city, a town or another settlement type.

string

Applicant country of birth. Presented as an alpha-3 country code (for example, DEU, GBR, ARG, and so on).

string

State, region, district, county or another territorial entity of birth inside a country, if applicable.

string

Applicant country. This is usually a country of the last uploaded ID document, and it may differ from the country of birth. Presented as an alpha-3 country code (for example, DEU, GBR, ARG, and so on).

string

Applicant country of origin. Presented as an alpha-3 country code (for example, DEU, GBR, ARG, and so on).

addresses
array of objects

A list of applicant addresses with address details.

addresses
string

Applicant phone number.

string

Taxpayer identification number that is unique to each taxpayer.

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!